
Foreman - Feature #786

Add the option to use existing DHCP reservations 

03/24/2011 03:47 PM - Oded  Ramraz

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: DHCP   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently , there is no option to use existing DHCP MAC addresses allocations.

Foreman should be able to use / override DHCP allocations in order to compatible with environments with pre configured DHCP

allocations.

Related issues:

Related to Foreman - Feature #944: Provide a mechanism to clear a host's netw... Closed 05/26/2011

Associated revisions

Revision e89efb28 - 01/10/2012 05:41 AM - Ohad Levy

fixes #786 - Add the option to use existing DHCP reservations

note that this patch only ensures that the ip used is the same as the

existing dhcp record.

if there is a mistmatch in what foreman expects in the reservation vs.

actual state, #944 should kick in.

History

#1 - 03/25/2011 07:50 AM - Paul Kelly

The system should check the current network databases and only perform the operation if this is required. It could also use this information to prompt

the IP/mac/hostname

An easier option would be a reconciler page similar to Gini's that would let you a) delete b) leave alone c) sync Foreman to the network values.

#2 - 03/31/2011 10:39 AM - Ohad Levy

- Priority changed from High to Normal

#3 - 01/10/2012 05:38 AM - Ohad Levy

- Target version set to 1.0

#4 - 01/10/2012 05:44 AM - Ohad Levy

- Status changed from New to Closed
